<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Original filename: submissions.php
| Author: Nick Jones (Digitanium)
| Co-Author: Daywalker
| Editor: MeTRoiD (PHP-Fusion Tutorials)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
include INFUSIONS."videogallery_panel/infusion_db.php";

if (!checkrights("SU") || !defined("iAUTH") || !isset($_GET['aid']) || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

require_once THEMES."templates/admin_header_mce.php";
if ($settings['tinymce_enabled'] != 1) {
	require_once INCLUDES."html_buttons_include.php";
}
if (file_exists(INFUSIONS."videogallery_panel/locale/".$settings['locale']."/submit.php")) {
    include INFUSIONS."videogallery_panel/locale/".$settings['locale']."/submit.php";
} else {
    include INFUSIONS."videogallery_panel/locale/English/submit.php";
}

$videos = "";

if (!isset($_GET['action']) || $_GET['action'] == "1") {
	if (isset($_GET['delete']) && isnum($_GET['delete'])) {
		$result = dbquery("SELECT submit_type, submit_criteria FROM ".DB_SUBMISSIONS." WHERE submit_id='".$_GET['delete']."'");
		if (dbrows($result)) {
			$data = dbarray($result);
			if ($data['submit_type'] == "v") {
				$submit_criteria = unserialize($data['submit_criteria']);
			}

			opentable($locale['VG400']);
			$result = dbquery("DELETE FROM ".DB_SUBMISSIONS." WHERE submit_id='".$_GET['delete']."'");
			echo "<br /><div style='text-align:center'>".$locale['VG401']."<br /><br />\n";
			echo "<a href='".FUSION_SELF.$aidlink."'>".$locale['VG402']."</a><br /><br />\n";
			echo "<a href='index.php".$aidlink."'>".$locale['VG403']."</a></div><br />\n";
			closetable();
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	} else {
		$result = dbquery("SELECT submit_id, submit_criteria FROM ".DB_SUBMISSIONS." WHERE submit_type='v' ORDER BY submit_datestamp DESC");
		if (dbrows($result)) {
			while ($data = dbarray($result)) {
				$submit_criteria = unserialize($data['submit_criteria']);
				$videos .= "<tr>\n<td class='tbl1'>".$submit_criteria['video_title']."</td>\n";
				$videos .= "<td align='right' width='1%' class='tbl1' style='white-space:nowrap'><span class='small'><a href='".FUSION_SELF.$aidlink."&amp;action=2&amp;t=v&amp;submit_id=".$data['submit_id']."'>".$locale['VG417']."</a></span> |\n";
				$videos .= "<span class='small'><a href='".FUSION_SELF.$aidlink."&amp;delete=".$data['submit_id']."'>".$locale['VG418']."</a></span></td>\n</tr>\n";
			}
		} else {
			$videos = "<tr>\n<td colspan='2' class='tbl1'>".$locale['VG420']."</td>\n</tr>\n";
		}
		
		opentable($locale['VG410']);
		echo "<table cellpadding='0' cellspacing='1' width='400' class='tbl-border center'>\n<tr>\n";
		echo "<td colspan='2' class='tbl2'><a id='video_submissions' name='video_submissions'></a>\n".$locale['VG419']."</td>\n";
		echo "</tr>\n".$videos."<tr>\n";
		echo "</tr>\n</table>\n";
		closetable();
	}
}

if ((isset($_GET['action']) && $_GET['action'] == "2") && (isset($_GET['t']) && $_GET['t'] == "v")) {
	if (isset($_POST['publish']) && (isset($_GET['submit_id']) && isnum($_GET['submit_id']))) {
		define("SAFEMODE", @ini_get("safe_mode") ? true : false);
		$result = dbquery(
			"SELECT ts.submit_user, ts.submit_criteria
			FROM ".DB_SUBMISSIONS." ts
			WHERE submit_id='".$_GET['submit_id']."'"
		);
		if (dbrows($result)) {
			$data = dbarray($result);
			$submit_criteria = unserialize($data['submit_criteria']);
			$video_title = stripinput($_POST['video_title']);
			$video_description = stripinput($_POST['video_description']);
			$video_video = stripinput($_POST['video_video']);
			$album_id = isnum($_POST['album_id']) ? $_POST['album_id'] : "0";


			$video_order = dbresult(dbquery("SELECT MAX(video_order) FROM ".DB_videos." WHERE album_id='$album_id'"), 0) + 1;
			$result = dbquery("INSERT INTO ".DB_videos." (album_id, video_title, video_description, video_video, video_datestamp, video_user, video_views, video_order, video_allow_comments, video_allow_ratings) VALUES ('$album_id', '$video_title', '$video_description', '$video_video', '".time()."', '".$data['submit_user']."', '0', '$video_order', '1', '1')");
			$result = dbquery("DELETE FROM ".DB_SUBMISSIONS." WHERE submit_id='".$_GET['submit_id']."'");
			opentable($locale['VG580']);
			echo "<br /><div style='text-align:center'>".$locale['VG581']."<br /><br />\n";
			echo "<a href='".FUSION_SELF.$aidlink."'>".$locale['VG402']."</a><br /><br />\n";
			echo "<a href='index.php".$aidlink."'>".$locale['VG403']."</a></div><br />\n";
			closetable();
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	} else if (isset($_POST['delete']) && (isset($_GET['submit_id']) && isnum($_GET['submit_id']))) {
		opentable($locale['VG582']);
		$data = dbarray(dbquery("SELECT submit_criteria FROM ".DB_SUBMISSIONS." WHERE submit_id='".$_GET['submit_id']."'"));
		$submit_criteria = unserialize($data['submit_criteria']);
		$result = dbquery("DELETE FROM ".DB_SUBMISSIONS." WHERE submit_id='".$_GET['submit_id']."'");
		echo "<br /><div style='text-align:center'>".$locale['VG583']."<br /><br />\n";
		echo "<a href='".FUSION_SELF.$aidlink."'>".$locale['VG402']."</a><br /><br />\n";
		echo "<a href='index.php".$aidlink."'>".$locale['VG403']."</a></div><br />\n";
		closetable();
	} else {
		$result = dbquery(
			"SELECT ts.submit_criteria, tu.user_id, tu.user_name, tu.user_status
			FROM ".DB_SUBMISSIONS." ts
			LEFT JOIN ".DB_USERS." tu ON ts.submit_user=tu.user_id
			WHERE submit_id='".$_GET['submit_id']."'"
		);
		if (dbrows($result)) {
			$data = dbarray($result);
			$submit_criteria = unserialize($data['submit_criteria']);
			$video_title = $submit_criteria['video_title'];
			$video_description = $submit_criteria['video_description'];
			$video_video = $submit_criteria['video_video'];
			$album_id = $submit_criteria['album_id'];
			$video_albums = ""; $sel = "";
			$result2 = dbquery("SELECT album_id, album_title FROM ".DB_video_albums." ORDER BY album_title");
			if (dbrows($result2)) {
				while ($data2 = dbarray($result2)) {
					if (isset($album_id)) $sel = ($album_id == $data2['album_id'] ? " selected='selected'" : "");
					$video_albums .= "<option value='".$data2['album_id']."'$sel>".$data2['album_title']."</option>\n";
				}
			}
			add_to_title($locale['VGglobal_200'].$locale['VG594'].$locale['VGglobal_201'].$video_title."?");
			opentable($locale['VG580']);
			echo "<form name='publish' method='post' action='".FUSION_SELF.$aidlink."&amp;sub=submissions&amp;action=2&amp;t=v&amp;submit_id=".$_GET['submit_id']."'>\n";
			echo "<table cellpadding='0' cellspacing='0' class='center'>\n<tr>\n";
			echo "<td width='100' class='tbl'>".$locale['VG596']."</td>\n";
			echo "<td width='80%' class='tbl'><input type='text' name='video_title' value='".$video_title."' class='textbox' style='width: 250px' /></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td width='100' class='tbl'>".$locale['VG597a']."</td>\n";
			echo "<td width='80%' class='tbl'><input type='text' name='video_video' value='".$video_video."' maxlength='20' class='textbox' style='width:165px;' />\n<a href='http://www.youtube.com/watch?v=".$video_video."' target='_blank'>".$locale['VG599a']."</a></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td width='100' class='tbl'>".$locale['VG597']."</td>\n";
			echo "<td width='80%' class='tbl'><textarea name='video_description' cols='60' rows='5' class='textbox' style='width:300px;'>".$video_description."</textarea></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td width='100' class='tbl'>".$locale['VG598']."</td>\n";
			echo "<td width='80%' class='tbl'><select name='album_id' class='textbox'>\n";
			echo "<option value='0'>".$locale['VG507']."</option>\n".$video_albums."</select></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td align='center' colspan='2' class='tbl1'><br />\n";
			echo $locale['VG592'].profile_link($data['user_id'], $data['user_name'], $data['user_status'])."<br /><br />\n";
			echo $locale['VG593']."<br />\n";
			echo "<input type='submit' name='publish' value='".$locale['VG594']."' class='button' />\n";
			echo "<input type='submit' name='delete' value='".$locale['VG595']."' class='button' />\n";
			echo "</td>\n</tr>\n</table>\n</form>\n";
			closetable();
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	}
}

require_once THEMES."templates/footer.php";
?>