<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Original filename: submit.php
| Author: Nick Jones (Digitanium)
| Co-Author: Daywalker
| Editor: MeTRoiD (PHP-Fusion Tutorials)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include_once INCLUDES."bbcode_include.php";
include INFUSIONS."videogallery_panel/infusion_db.php";

if (file_exists(INFUSIONS."videogallery_panel/locale/".$settings['locale']."/submit.php")) {
    include INFUSIONS."videogallery_panel/locale/".$settings['locale']."/submit.php";
} else {
    include INFUSIONS."videogallery_panel/locale/English/submit.php";
}

if (!iMEMBER) { redirect("index.php"); }

$submit_info = array();

	if (isset($_POST['submit_video'])) {

		$error = "";
		$submit_info['video_title'] = stripinput($_POST['video_title']);
		$submit_info['video_description'] = stripinput($_POST['video_description']);
		$submit_info['video_video'] = stripinput($_POST['video_video']);
		$submit_info['album_id'] = isnum($_POST['album_id']) ? $_POST['album_id'] : "0";

		add_to_title($locale['VGglobal_200'].$locale['VG570']);
		opentable($locale['VG570']);
		if (!$error) {
			$result = dbquery("INSERT INTO ".DB_SUBMISSIONS." (submit_type, submit_user, submit_datestamp, submit_criteria) VALUES ('v', '".$userdata['user_id']."', '".time()."', '".addslashes(serialize($submit_info))."')");
			echo "<div style='text-align:center'><br />\n".$locale['VG580']."<br /><br />\n";
			echo "<a href='".INFUSIONS."videogallery_panel/submit_video.php'>".$locale['VG581']."</a><br /><br />\n";
			echo "<a href='index.php'>".$locale['VG412']."</a><br /><br />\n</div>\n";
		} else {
			echo "<div style='text-align:center'><br />\n".$locale['VG600']."<br /><br />\n";
			echo "<br /><br />\n<a href='".INFUSIONS."videogallery_panel/submit_video.php'>".$locale['VG581']."</a><br /><br />\n</div>\n";
		}
		closetable();
	} else {
		$opts = "";
		add_to_title($locale['VGglobal_200'].$locale['VG570']);
		opentable($locale['VG570']);
		$result = dbquery("SELECT album_id, album_title FROM ".DB_video_albums." WHERE ".groupaccess("album_access")." ORDER BY album_title");
		if (dbrows($result)) {
			while ($data = dbarray($result)) $opts .= "<option value='".$data['album_id']."'>".$data['album_title']."</option>\n";
			echo "<div class='submission-guidelines'>".$locale['VG620']."</div>\n";
			echo "<div class='submission-guidelines'><br /><b>".$locale['VG493']."</b></div>\n";
			echo "<form name='submit_form' method='post' action='".FUSION_SELF."?stype=v' enctype='multipart/form-data' onsubmit='return validatePhoto(this);'>\n";
			echo "<table cellpadding='0' cellspacing='0' class='center'>\n<tr>\n";
			echo "<td class='tbl'>".$locale['VG621']."<span style='color:#ff0000'>*</span></td>\n";
			echo "<td class='tbl'><input type='text' name='video_title' maxlength='100' class='textbox' style='width:250px;' /></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td valign='top' class='tbl'>".$locale['VG622a']."<span style='color:#ff0000'>*</span></td>\n";
			echo "<td class='tbl'><input type='text' name='video_video' value='".$video_video."' maxlength='20' class='textbox' style='width:165px;' /></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td valign='top' class='tbl'>".$locale['VG622']."<span style='color:#ff0000'>*</span></td>\n";
			echo "<td class='tbl'><textarea name='video_description' cols='60' rows='5' class='textbox' style='width:300px;'></textarea></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td class='tbl'>".$locale['VG625']."</td>\n";
			echo "<td class='tbl'><select name='album_id' class='textbox'>\n$opts</select></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td align='center' colspan='2' class='tbl'><br />\n";
			echo "<input type='submit' name='submit_video' value='".$locale['VG626']."' class='button' />\n</td>\n";
			echo "</tr>\n</table>\n</form>\n";
		} else {
			echo "<div style='text-align:center'><br />\n".$locale['VG552']."<br /><br />\n</div>\n";
		}
		closetable();
	}

$submit_js  = '<script type="text/javascript">';
$submit_js .=  "/*<![CDATA[*/";
/************ videos ****/
$submit_js .=  "function validatePhoto(frm){";
$submit_js .=    'if(frm.video_title.value=="" || frm.video_description.value=="" || frm.video_video.value==""){';
$submit_js .=      'alert("'.$locale['VG550'].'"); return false;';
$submit_js .=    "}";
$submit_js .=  "}";
/************ -- end -- */
$submit_js .=  "/*]]>*/";
$submit_js .= "</script>";

add_to_footer($submit_js);
unset($submit_js);
echo $locale['VG_COPY'];
require_once THEMES."templates/footer.php";
?>